<?php

class TC_PaygateHeleket_XenForo_ControllerAdmin_Option extends XFCP_TC_PaygateHeleket_XenForo_ControllerAdmin_Option
{
	public function actionSave()
	{
		$response = parent::actionSave();

		if ($response instanceof XenForo_ControllerResponse_Abstract)
		{
			$groupId = $this->_input->filterSingle('group_id', XenForo_Input::STRING);
			if ($groupId == 'tcPaygateHeleket')
			{
				/** @var TC_PaygateHeleket_Processor_Heleket $processor */
				$processor = bdPaygate_Processor_Abstract::create('TC_PaygateHeleket_Processor_Heleket');

				$newOptions = $this->_input->filterSingle('options', XenForo_Input::ARRAY_SIMPLE);

				$merchantId = $newOptions['tcPaygateHeleket_MerchantId'];
				$apiKey = $newOptions['tcPaygateHeleket_ApiKey'];

				$availableCurrencies = $processor->apiCall('v1/payment/services', [], $error, $merchantId, $apiKey);
				if ($error)
				{
					return $this->responseError($error);
				}

				$currenciesNetworks = [];
				foreach ($availableCurrencies as $availableCurrency)
				{
					$currenciesNetworks[$availableCurrency['currency']][$availableCurrency['network']] = $availableCurrency['network'];
				}

				$optionModel = $this->_getOptionModel();
				$optionModel->updateOption('tcPaygateHeleket_CurrenciesNetworks', $currenciesNetworks);
			}
		}

		return $response;
	}
}

if (false)
{
	class XFCP_TC_PaygateHeleket_XenForo_ControllerAdmin_Option extends XenForo_ControllerAdmin_Option
	{
	}
}
